package com.persagy.dmp.rwd.basic.constant;

import lombok.Getter;

/***
 * Description: 计算状态枚举类1初始状态 2需要计算 3计算中 4等待中 5计算失败（如果处于计算中状态，则不再次调用）
 * @author : lijie
 * @date :2021/9/11 22:55
 * Update By lijie 2021/9/11 22:55
 */
@Getter
public enum ComputationalStateEnum {
    /** 计算状态 */
    INIT(1,"初始状态"),
    NEED_COMPUTE(2,"需要计算"),
    COMPUTING(3,"计算中"),
    WAITING(4,"等待中"),
    FAIL(5,"计算失败");

    ComputationalStateEnum(Integer state, String beanName) {
        this.state = state;
        this.beanName = beanName;
    }

    private Integer state;
    private String beanName;

}
